Loading ...
Sorry, an error occurred while loading the content.

apcupc inconguence?

Expand Messages
  • onlyfrancy86
    Hi, I ve installed apcupsd package on an armel cpu (QNAP TS-412) but seems that there is an incongruence, the version of the package doesn t correspond to the
    Message 1 of 3 , Dec 10, 2012
    View Source
    • 0 Attachment
      Hi,
      I've installed apcupsd package on an armel cpu (QNAP TS-412) but seems that there is an incongruence, the version of the package doesn't correspond to the version of the installed binary.
      I think that the output of my shell is self explaining (at the end of the message)
      Moreover, the binary doesn't work at all and exit with an "abort" (the second attachment). There is some way to rebuild the package and correct my problems?
      Can be update to the last release (3.14.10)?
      Thanks a lot!
      Francesco


      PS shell output:
      # apcupsd --version
      apcupsd 3.10.15 (04 August 2004) debian
      # ipkg info apcupsd
      Package: apcupsd
      Version: 3.14.8-1
      Status: install user installed
      Section: sysadmin
      Architecture: arm
      maintainer: NSLU2 Linux <nslu2-linux@yahoogroups.com>
      MD5Sum: 55e9c73eb19d49c53cf7997c7e0783c6
      Size: 212115
      Filename: apcupsd_3.14.8-1_arm.ipk
      Source: http://downloads.sourceforge.net/sourceforge/apcupsd/apcupsd-3.14.8.tar.gz
      Description: A daemon for controlling APC UPSes

      Successfully terminated.



      PS2 exiting message:
      # apcupsd -b
      *** glibc detected *** apcupsd: double free or corruption (top): 0x000359e8 ***
      ======= Backtrace: =========
      /lib/libc.so.6[0x400b4000]
      /lib/libc.so.6[0x400b50ac]
      /lib/libc.so.6(cfree+0x164)[0x400b5758]
      /lib/libc.so.6(fclose+0x36c)[0x400a178c]
      apcupsd[0x142b8]
      apcupsd(vfprintf+0x37e8)[0xd108]
      apcupsd(vfprintf+0x77c)[0xa09c]
      /lib/libc.so.6(__libc_start_main+0x1bc)[0x4005a924]
      apcupsd(fputs+0x34)[0x9a08]
      ======= Memory map: ========
      00008000-00022000 r-xp 00000000 01:00 330 /sbin/apcupsd
      0002a000-0002b000 rwxp 0001a000 01:00 330 /sbin/apcupsd
      0002b000-00056000 rwxp 00000000 00:00 0 [heap]
      40000000-4001d000 r-xp 00000000 01:00 88 /lib/ld-2.5.so
      4001d000-4001e000 rwxp 00000000 00:00 0
      40024000-40026000 rwxp 0001c000 01:00 88 /lib/ld-2.5.so
      40026000-4003b000 r-xp 00000000 01:00 82 /lib/libpthread-2.5.so
      4003b000-40042000 ---p 00015000 01:00 82 /lib/libpthread-2.5.so
      40042000-40043000 r-xp 00014000 01:00 82 /lib/libpthread-2.5.so
      40043000-40044000 rwxp 00015000 01:00 82 /lib/libpthread-2.5.so
      40044000-40046000 rwxp 00000000 00:00 0
      40046000-4016d000 r-xp 00000000 01:00 107 /lib/libc-2.5.so
      4016d000-40174000 ---p 00127000 01:00 107 /lib/libc-2.5.so
      40174000-40175000 r-xp 00126000 01:00 107 /lib/libc-2.5.so
      40175000-40177000 rwxp 00127000 01:00 107 /lib/libc-2.5.so
      40177000-4017b000 rwxp 00000000 00:00 0
      bee7e000-bee93000 rw-p 00000000 00:00 0 [stack]
      Aborted
    • Ovidiu Sas
      As you see in your output, the binary is provided by debian and it is the stock installed version in /sbin. You will need to look under /opt (using full path)
      Message 2 of 3 , Dec 10, 2012
      View Source
      • 0 Attachment
        As you see in your output, the binary is provided by debian and it is
        the stock installed version in /sbin.
        You will need to look under /opt (using full path) to invoke the ipkg
        installed apcupsd.

        Regards,
        Ovidiu Sas

        On Mon, Dec 10, 2012 at 2:57 PM, onlyfrancy86 <onlyfrancy86@...> wrote:
        >
        >
        >
        > Hi,
        > I've installed apcupsd package on an armel cpu (QNAP TS-412) but seems that there is an incongruence, the version of the package doesn't correspond to the version of the installed binary.
        > I think that the output of my shell is self explaining (at the end of the message)
        > Moreover, the binary doesn't work at all and exit with an "abort" (the second attachment). There is some way to rebuild the package and correct my problems?
        > Can be update to the last release (3.14.10)?
        > Thanks a lot!
        > Francesco
        >
        > PS shell output:
        > # apcupsd --version
        > apcupsd 3.10.15 (04 August 2004) debian
        > # ipkg info apcupsd
        > Package: apcupsd
        > Version: 3.14.8-1
        > Status: install user installed
        > Section: sysadmin
        > Architecture: arm
        > maintainer: NSLU2 Linux <nslu2-linux@yahoogroups.com>
        > MD5Sum: 55e9c73eb19d49c53cf7997c7e0783c6
        > Size: 212115
        > Filename: apcupsd_3.14.8-1_arm.ipk
        > Source: http://downloads.sourceforge.net/sourceforge/apcupsd/apcupsd-3.14.8.tar.gz
        > Description: A daemon for controlling APC UPSes
        >
        > Successfully terminated.
        >
        > PS2 exiting message:
        > # apcupsd -b
        > *** glibc detected *** apcupsd: double free or corruption (top): 0x000359e8 ***
        > ======= Backtrace: =========
        > /lib/libc.so.6[0x400b4000]
        > /lib/libc.so.6[0x400b50ac]
        > /lib/libc.so.6(cfree+0x164)[0x400b5758]
        > /lib/libc.so.6(fclose+0x36c)[0x400a178c]
        > apcupsd[0x142b8]
        > apcupsd(vfprintf+0x37e8)[0xd108]
        > apcupsd(vfprintf+0x77c)[0xa09c]
        > /lib/libc.so.6(__libc_start_main+0x1bc)[0x4005a924]
        > apcupsd(fputs+0x34)[0x9a08]
        > ======= Memory map: ========
        > 00008000-00022000 r-xp 00000000 01:00 330 /sbin/apcupsd
        > 0002a000-0002b000 rwxp 0001a000 01:00 330 /sbin/apcupsd
        > 0002b000-00056000 rwxp 00000000 00:00 0 [heap]
        > 40000000-4001d000 r-xp 00000000 01:00 88 /lib/ld-2.5.so
        > 4001d000-4001e000 rwxp 00000000 00:00 0
        > 40024000-40026000 rwxp 0001c000 01:00 88 /lib/ld-2.5.so
        > 40026000-4003b000 r-xp 00000000 01:00 82 /lib/libpthread-2.5.so
        > 4003b000-40042000 ---p 00015000 01:00 82 /lib/libpthread-2.5.so
        > 40042000-40043000 r-xp 00014000 01:00 82 /lib/libpthread-2.5.so
        > 40043000-40044000 rwxp 00015000 01:00 82 /lib/libpthread-2.5.so
        > 40044000-40046000 rwxp 00000000 00:00 0
        > 40046000-4016d000 r-xp 00000000 01:00 107 /lib/libc-2.5.so
        > 4016d000-40174000 ---p 00127000 01:00 107 /lib/libc-2.5.so
        > 40174000-40175000 r-xp 00126000 01:00 107 /lib/libc-2.5.so
        > 40175000-40177000 rwxp 00127000 01:00 107 /lib/libc-2.5.so
        > 40177000-4017b000 rwxp 00000000 00:00 0
        > bee7e000-bee93000 rw-p 00000000 00:00 0 [stack]
        > Aborted
        >
      • Francesco Trentini
        Thanks a lot, it helps! The problem was my PATH variable that export /opt/sbin after /sbin/. Francesco
        Message 3 of 3 , Dec 11, 2012
        View Source
        • 0 Attachment
          Thanks a lot, it helps!
          The problem was my PATH variable that export /opt/sbin after /sbin/.

          Francesco


          Il 10/12/2012 21:08, Ovidiu Sas ha scritto:
          > As you see in your output, the binary is provided by debian and it is
          > the stock installed version in /sbin.
          > You will need to look under /opt (using full path) to invoke the ipkg
          > installed apcupsd.
          >
          > Regards,
          > Ovidiu Sas
          >
          > On Mon, Dec 10, 2012 at 2:57 PM, onlyfrancy86 <onlyfrancy86@...
          > <mailto:onlyfrancy86%40yahoo.it>> wrote:
          > >
          > >
          > >
          > > Hi,
          > > I've installed apcupsd package on an armel cpu (QNAP TS-412) but
          > seems that there is an incongruence, the version of the package doesn't
          > correspond to the version of the installed binary.
          > > I think that the output of my shell is self explaining (at the end of
          > the message)
          > > Moreover, the binary doesn't work at all and exit with an "abort"
          > (the second attachment). There is some way to rebuild the package and
          > correct my problems?
          > > Can be update to the last release (3.14.10)?
          > > Thanks a lot!
          > > Francesco
          > >
          > > PS shell output:
          > > # apcupsd --version
          > > apcupsd 3.10.15 (04 August 2004) debian
          > > # ipkg info apcupsd
          > > Package: apcupsd
          > > Version: 3.14.8-1
          > > Status: install user installed
          > > Section: sysadmin
          > > Architecture: arm
          > > maintainer: NSLU2 Linux <nslu2-linux@yahoogroups.com
          > <mailto:nslu2-linux%40yahoogroups.com>>
          > > MD5Sum: 55e9c73eb19d49c53cf7997c7e0783c6
          > > Size: 212115
          > > Filename: apcupsd_3.14.8-1_arm.ipk
          > > Source:
          > http://downloads.sourceforge.net/sourceforge/apcupsd/apcupsd-3.14.8.tar.gz
          > > Description: A daemon for controlling APC UPSes
          > >
          > > Successfully terminated.
          > >
          > > PS2 exiting message:
          > > # apcupsd -b
          > > *** glibc detected *** apcupsd: double free or corruption (top):
          > 0x000359e8 ***
          > > ======= Backtrace: =========
          > > /lib/libc.so.6[0x400b4000]
          > > /lib/libc.so.6[0x400b50ac]
          > > /lib/libc.so.6(cfree+0x164)[0x400b5758]
          > > /lib/libc.so.6(fclose+0x36c)[0x400a178c]
          > > apcupsd[0x142b8]
          > > apcupsd(vfprintf+0x37e8)[0xd108]
          > > apcupsd(vfprintf+0x77c)[0xa09c]
          > > /lib/libc.so.6(__libc_start_main+0x1bc)[0x4005a924]
          > > apcupsd(fputs+0x34)[0x9a08]
          > > ======= Memory map: ========
          > > 00008000-00022000 r-xp 00000000 01:00 330 /sbin/apcupsd
          > > 0002a000-0002b000 rwxp 0001a000 01:00 330 /sbin/apcupsd
          > > 0002b000-00056000 rwxp 00000000 00:00 0 [heap]
          > > 40000000-4001d000 r-xp 00000000 01:00 88 /lib/ld-2.5.so
          > > 4001d000-4001e000 rwxp 00000000 00:00 0
          > > 40024000-40026000 rwxp 0001c000 01:00 88 /lib/ld-2.5.so
          > > 40026000-4003b000 r-xp 00000000 01:00 82 /lib/libpthread-2.5.so
          > > 4003b000-40042000 ---p 00015000 01:00 82 /lib/libpthread-2.5.so
          > > 40042000-40043000 r-xp 00014000 01:00 82 /lib/libpthread-2.5.so
          > > 40043000-40044000 rwxp 00015000 01:00 82 /lib/libpthread-2.5.so
          > > 40044000-40046000 rwxp 00000000 00:00 0
          > > 40046000-4016d000 r-xp 00000000 01:00 107 /lib/libc-2.5.so
          > > 4016d000-40174000 ---p 00127000 01:00 107 /lib/libc-2.5.so
          > > 40174000-40175000 r-xp 00126000 01:00 107 /lib/libc-2.5.so
          > > 40175000-40177000 rwxp 00127000 01:00 107 /lib/libc-2.5.so
          > > 40177000-4017b000 rwxp 00000000 00:00 0
          > > bee7e000-bee93000 rw-p 00000000 00:00 0 [stack]
          > > Aborted
          > >
          >
          >
        Your message has been successfully submitted and would be delivered to recipients shortly.